#ifndef _COMHEAD_H
#define _COMHEAD_H
// (C) 1993,1994 by Heiko Damerow MPG AG "Roentgenbeugung"
// File comhead.h
#include <cstring.h>
#include <windowsx.h>
#include <mmsystem.h>
#include <ctl3d.h>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <dos.h>
#include <time.h>
#include <dir.h>
#include <new.h>
#include <_defs.h>
#include <typeinfo.h>
#include <commdlg.h>

#define MaxString 80
#define MBINFO    (MB_OK | MB_ICONINFORMATION)
#define MBASK     (MB_YESNO | MB_ICONQUESTION)
#define MBFAILURE (MB_OK | MB_ICONHAND)
#define MBSTOP    (MB_OK | MB_ICONSTOP)
#define YES        TRUE
#define NO         FALSE
#define ON         TRUE
#define OFF        FALSE

/* NICHT BENUTZT */
//! #define O_Common     0x0004
/* Benutzt in m_arscan.cpp, m_scan.cpp,
    m_steerg.cpp, m_main.cpp, m_device.cpp */
#define O_PaintPoint 0x0020
/* Benutzt in m_main.cpp */
#define O_Flush      0x0040

/* NICHT BENUTZT */
//! #define thekey 1335

// Identifikation der Timer
/* Benutzt in counters.cpp, testdev.cpp */
#define DeviceTimerIdStart   100
/* NICHT BENUTZT */
//! #define MotorTimerIdStart    200
/* NICHT BENUTZT */
//! #define GenericTimerIdStart  300
/* Benutzt in m_main.cpp */
#define   TimerIdSteering    398
/* Benutzt in m_arscan.cpp, m_dlg.cpp, m_topo.cpp, motors.cpp */
#define   TimerIdInformation 399

/* Benutzt in l_layer.h/cpp, m_steerg.h/cpp, m_xscan.h */
typedef enum
{
  StandardScan = 1, Omega2ThetaScan, ContinuousScan, PsdEnergyScan,
      PsdPositionScan, Omega2ThetaScanList, ScanList
} TxScanType;

/* Benutzt in c_layer.h/cpp, m_steerg.cpp, m_devcom.h */
typedef enum
{
  CounterDevice = 1, PsdDevice, MonitorDevice, EncoderDevice, GenericDevice, CCDDevice
} TDeviceType;

/* Benutzt in m_layer.h/cpp, m_steerg.cpp, m_motcom.h, motors.cpp */
typedef enum
{
  X = 1, Y, Z, Omega, Theta, Phi, Psi, Encoder, Absorber, Tilt, Collimator, 
      Rotation, Monochromator, DC, DF
} TAxisType;

// TScanType
// TAreaScanType

/* Benutzt in braunpsd.cpp, counters.cpp, m_psd.h */
typedef enum
{ 
  FinalRead = 1, FirstRead, AccumulationRead, IntermediateRead
} THowReadOutPsd;

/* Benutzt in braunpsd.cpp, m_devcom.h, m_psd.h */
typedef enum
{ 
  PsdEnergyData = 3000, PsdPositionData
} TPsdDataType;

/* Benutzt in m_devcom.h */
typedef enum
{ 
  NothingHW = 2000, RadiconHW, BraunHW, GenericPsdHW, Am9513HW, StoeHW, 
      MatroxHW, EncoderHW
} THardware;

/* Benutzt in m_main.cpp */
typedef enum
{ 
  HRM = 1, RTK, ScanTable, PDI_Diffractometer, Diff2, Diff3, Expert
} TWorkPlace;

/* Benutzt in m_lscan.h, st_layer.h/cpp */
typedef enum
{
  InquireCCDLine = 1, LineStepScan, LineContinuousScan, NoTask,
      StartCCDLineAgain
} TScannerTask;

/* Benutzt in m_motcom.h, m_layer.h/cpp, motors.cpp */
typedef enum
{
  ThisPosition = 1, OldPosition, WaitExecution, NoWait
} TMParameter;

/* NICHT BENUTZT */
/* //! typedef enum
{
  Si = 1, Ge, GaAs, SiGe, InP
} TBulkType;  */

/* Benutzt in m_xscan.h */
typedef enum
{
  MonitorIntensity = 1, AbsorberPosition, PeakPosition, IntegralIntensity,
      MeasurementTime
} TNotifyValue;

/* Benutzt in m_devcom.h, m_data.h */
typedef enum
{
  Logarithmic = 1, Linear, User
} TScaleType;

/* Benutzt in m_devcom.h, m_motcom.h, m_psd.h, l_layer.h/cpp, m_layer.h/cpp,
    m_arscan.cpp, counters.cpp */
typedef enum
{
  Grad = 1, Minuten, Sekunden, Millimeter, Mikrometer, Channel, None
} TUnitType;

/* Benutzt in m_motcom.h, m_layer.h/cpp */
typedef enum
{
  Distance = 1, Width, Speed, MinDistance, MaxDistance
} TValueType;

/* Benutzt in m_xscan.h */
typedef enum
{
  StandardFile = 1, ShiftedStandard, Tripel, Tupel, Bitmap, ShiftedBitmap,
		Tiff8, Tiff12, RAW8, RAW12, bkFile, dtnFile
} TSaveFormat;

/* Benutzt in st_layer.h/cpp */
typedef struct
{
  float MinX;
  float MaxX;
  float MinY;
  float MaxY;
  int   XPoints;
  int   YPoints;
} TFrameDimension;

/* Benutzt in comclass.h, m_arscan.cpp */
typedef struct
{
  int   h, k, l;
} THKL;

/* NICHT BENUTZT */
/* //! typedef struct
{
  int     xo, yo, dx, dy;
  int     xBorder, yBorder;
  float   xMin, xMax, yMin, yMax;
  char    xUnit[15], yUnit[15];
} TFrameParam; */

/* Benutzt in m_data.h/cpp */
typedef struct
{
  RECT  place;
  float zMin, zMax;
  char  zUnit[15];
  float ColorMap[256];
  int   nColorRange;
} TColorTable;

/* Benutzt in comclass.h, m_data.h/cpp, m_main.cpp */
typedef struct
{
  BOOL  bLogarithmicY;
  float fMinX, fMaxX, fMinY, fMaxY;
} TKSProperties;

/* Benutzt in m_xscan.h, m_data.h/cpp, m_arscan.cpp */
typedef struct
{
  float x, y;
  int   Ord;
} TKSystem[4];

/* NICHT BENUTZT */
//! #define RET      '\r'
/* Benutzt in m_arscan.cpp, m_scan.cpp */
#define EOL      "\r\n"
/* NICHT BENUTZT */
//! #define ETX      '\3'
/* Benutzt in m_arscan.cpp, m_scan.cpp */
#define P_X      0
/* Benutzt in m_arscan.cpp, m_data.cpp */
#define P_Y      1
/* Benutzt in m_arscan.cpp */
#define P_Z      2
/* NICHT BENUTZT */
//! #define P_I      3
/* NICHT BENUTZT */
//! #define P_H      4

//*** Return-Codes
/* Benutzt in m_main.cpp */
#define  R_Stopped         200
/* NICHT BENUTZT */
//! #define  R_Started         201
/* Benutzt in braunpsd.cpp, counters.cpp, m_arscan.cpp, m_main.cpp, m_scan.cpp,
    motors.cpp, testdev.cpp */
#define  R_Failure         202
/* Benutzt in m_main.cpp */
#define  R_NoWindow        203
/* NICHT BENUTZT */
//! #define  R_InvalidFile     204
/* Benutzt in counters.cpp */
#define  R_MeasInProcess   205
/* Benutzt in counters.cpp */
#define  R_MeasOk          206
/* NICHT BENUTZT */
//! #define  R_MeasStop        207
/* NICHT BENUTZT */
//! #define  R_NoCommunication 208
/* NICHT BENUTZT */
//! #define  R_NoMemory        209
/* NICHT BENUTZT */
//! #define  R_NoMfSelected    210
/* NICHT BENUTZT */
//! #define  R_Restarted       211
/* NICHT BENUTZT */
//! #define  R_Interrupted     212
/* NICHT BENUTZT */
//! #define  R_DataValid       213
/* Benutzt in motors.cpp */
#define  R_TimeOut         214
/* Benutzt in motors.cpp */
#define  R_UnknownCmd      215
/* Benutzt in counters.cpp */
#define  R_SoftOverflow    216
/* Benutzt in braunpsd.cpp, counters.cpp */
#define  R_HardOverflow    217
/* Benutzt in l_layer.cpp, m_scan.cpp */
#define  R_Overflow        218
/* Benutzt in l_layer.cpp, m_scan.cpp */
#define  R_EndOfFile       219
/* Benutzt in m_motcom.h, m_mothw.h, m_psd.h, braunpsd.cpp, counters.cpp,
    m_dlg.cpp, motors.cpp */
#define  R_OK              999

#include "comclass.h"
#include "dlg_tpl.h"
#include "m_curve.h"
#include "l_layer.h"

/* Benutzt in m_dlg.cpp, m_main.cpp, m_scan.cpp */
void GetHKL( THKL& refl, LPSTR info );
/* Benutzt in m_dlg.cpp, m_main.cpp, m_scan.cpp */
void SetHKL( THKL& refl, LPCSTR info );

/* HPBYTE, HPFLOAT: Benutzt in m_data.cpp, m_device.cpp */
/* HPSTR: benutzt in m_arscan.cpp (Allerdings Verdacht auf toten Code) */
/* HPWORD: NICHT BENUTZT */
#if defined(__FLAT__)
 typedef char*  HPSTR;
 typedef BYTE*  HPBYTE;
 typedef float* HPFLOAT;
 typedef WORD*  HPWORD;
#else
 typedef char  _huge * HPSTR;
 typedef BYTE  _huge * HPBYTE;
 typedef float _huge * HPFLOAT;
 typedef WORD  _huge * HPWORD;
#endif

#endif
// __LastLine__
