// File rc_def.h
// 1993,1994 Heiko Damerow MPG AG "Rntgenbeugung"
#ifndef __RC_DEF_H
#define __RC_DEF_H

#define GermanVersion 1

#define IDC_StartPSDCycle        102
#define IDC_InterruptPSDCycle    103
#define IDC_StopPSDCycle         104
#define IDC_Extension            106
#define IDC_Messages             107
#define IDC_DirPSDCycle          101
#define IDC_TargetName           108

#define cm_AllVersions          2100
#define cm_PSDRemoteSyncCtl     2101
#define sth_Info                 820

#define menu_Main              300
#define ExIDOK                9999

// several id for call WinHelp();
#define cm_H_CalibrationDlg    15000
#define cm_H_AngleControlDlg   15001
#define cm_H_Index             15002
#define cm_H_Help              15003

// several task id for call InitializeTask();
#define cm_InitializeAreaScan  10500
#define cm_InitializeLineScan  10501
#define cm_PSD_Scan            10504
#define cm_PSD_AreaScan        10505
#define cm_ShowPsdP_Data       10506
#define cm_ShowPsdE_Data       10507
#define cm_InquireCCDLine      10508
#define cm_WakeUpSteering      10509
#define cm_InitializeAreaScanCCD  10510

// several task id for call InitializeDlg();
#define cm_SetupAreaScan          10600
#define cm_SetupStepScan          10601
#define cm_SetupContinuousScan    10602
#define cm_SetupCCDLineScan       10603
#define cm_SetupPsd               10604
#define cm_DataAquisition         10605
#define   cm_SetupAreaScanCCD     10606

// window calls for the several main tasks
#define cm_CallExecuteTopograpy   10700
#define cm_CallExecuteCmd         10701
#define cm_CallExecuteCCDLineScan 10702
#define cm_CallExecuteScan        10703
#define cm_CallExecuteAreaScan    10704
#define cm_CallExecuteImageProc   10705
#define cm_CallExecuteAdjustment  10706
#define cm_CallExecuteCounter     10707
#define cm_CallExecuteMacro       10708
#define cm_CallExecuteAreaScanCCD 10709

#define cm_Initialize              400
#define cm_RotateMotor             401
#define cm_CancelRelativeZero      402
#define cm_SetHome                 403
#define cm_Open                    404
#define cm_LoadCurve               405
#define cm_Cut                     406
#define cm_PutCommand              407
#define cm_Index                   408
#define cm_SwitchLimitWatch        409
#define cm_Glossary                410
#define cm_Logging                 411
#define cm_SetPsdParameters        412
#define cm_About                   413
#define cm_Directories             414
#define cm_Preferences             415
#define cm_LimitHitOccure          416
#define cm_OptionsSave             418
#define cm_IndexArrived            419
#define cm_Print                   420
#define cm_ScanParameters          421
#define cm_MotorParam              422
#define cm_New                     423
#define cm_Save                    424
#define cm_SaveAs                  425
#define cm_Exit                    426
#define cm_MeasurementParam        427
#define cm_InitializeMotors        428
#define cm_Copy                    429
#define cm_SetWatchIndicator       430
#define cm_Clear                   431
#define cm_Delete                  432
#define cm_Tile                    433
#define cm_ArrangeIcons            434
#define cm_Cascade                 435
#define cm_CloseAll                436
#define cm_PosControl              437
#define cm_Calibrate               438
#define cm_Measurement             439
#define cm_ImageControl            440
#define cm_ImageParam              441
#define cm_SensorParam             442
#define cm_SavePicture             443
#define cm_GetHistogram            444
#define cm_ConvolPicture           445
#define cm_AccuPicture             446
#define cm_LabelPicture            447
#define cm_BvTest                  448
#define cm_LoadPicture             449
#define cm_BinaryPicture           450
#define cm_EventCounting           451
#define cm_StartPosition           452
#define cm_AngleControl            453
#define cm_GrabPicture             454
#define cm_ShowCounter             455
#define cm_Adjustment              456
#define cm_AdjustmentParam         457
#define cm_SetAngleDefault         458
#define cm_StartAdjustment         459
#define cm_SetFine                 460
#define cm_PaintPoint              461
#define cm_GetPeakProperties       462
#define cm_TopograpyParam          463
#define cm_AutomaticAngleControl   464
#define cm_InterruptAction         484
#define cm_ShowCounterParam        465
#define cm_ShowCurveParam          466
#define cm_RightPositionReached    467
#define cm_LeftPositionReached     468
#define cm_TopographyParam         469
#define cm_ControlCrossTable       470
#define cm_SetTilt                 471
#define cm_SetCollimator           472
#define cm_MeasureHWB              473
#define cm_GotoWorkPoint           474
#define cm_SwitchControl           475
#define cm_SendExposureTime        476
#define cm_SetupPosition           477
#define cm_StartControl            478
#define cm_PlotCurve               479
#define cm_ChooseScan              480
//! Visualisierung Diff/Refl: Kommandos
#define cm_UserScal                481
//! ----------------------------------
#define cm_MILInit                 490
#define cm_MIL0                    491
#define cm_MIL1                    492
#define cm_MIL2                    494

// Ablauf-Meldungen
#define cm_Initialization          501
#define cm_Timer                   502
#define cm_MoveButton              503
#define cm_StatusSet               504
#define cm_SpecificParameters      505
#define cm_TargetSet               506
#define cm_LimitHit                507
#define cm_FailureSet              508
#define cm_StopAll                 509
#define cm_Environment             510
#define cm_Help                    511
#define cm_ParamSet                512
#define cm_SetupDlgItem            513
#define cm_ResponseAvail           514
#define cm_CarryOnZero             515
#define cm_MatroxInit              516
#define cm_SetAngleZero            517
#define cm_CounterSet              518
#define cm_OptimizeDC              519
#define cm_CalibratePsd            520
#define cm_LoadDataBase            521
#define cm_Start                   522
#define cm_Information             523
#define cm_LoadMacro               523
#define cm_DeleteMacro             524
#define cm_UpdateFile              525
#define cm_ActivateChanges         526
#define cm_CCDParam                527
#define cm_DataTransmission        528
#define cm_SetCurveScale           529
#define cm_ShowAnalog              530
#define cm_ShowDigital             531
#define cm_DrawInfoBar             532
#define cm_InterruptMeasurement    533
#define cm_SetupParameters         534
#define cm_InquireRelevantData     535
#define cm_Interrupt               536
#define cm_Restart                 537
#define cm_StartStop               538
#define cm_SteeringReady           539
//! neu: Ausgabe der Compiler-Versionsnummer in der Hilfe
#define cm_Version                 540
//! AutomaticAngleControl: Kommandos
#define cm_start_justage           562
#define cm_set_parameters          574
#define cm_initialize              575
#define cm_choose_axis             576
#define cm_optimizing_TL           577
#define cm_optimizing_CC           578
#define cm_optimizing_DF           579
#define cm_calculate               580
#define cm_post_processing         581
//! ----------------------------------
#define cm_MotorInit               541
#define cm_ShowHistogram           542
#define cm_RotateDevice            543
#define cm_InquireExeption         545
#define cm_FreezeCurve             547
#define cm_DistanceSet             548
#define cm_StopMeasurement         549
#define cm_SaveSecondCurve         550
#define cm_KillSecondCurve         551
#define cm_MoveScanReady           552
#define cm_StartMoveScan           553

#define cm_ImageSaveOptions        556
#define cm_SetProperties           557
#define cm_SetRanges               558
#define cm_HelpIndex               559
#define cm_HelpHelp                560
#define cm_InitializeScan          561



//******************************************************************************
//******* Identifikation der Steuerelemente ************************************

//! Visualisierung Diff/Refl: Fensterelemente
#define CM_KEY101       101
#define IDC_EDIT1       101
#define ID_Min          111
#define ID_Max          112
#define IDC_EDIT18      122
#define IDC_EDIT17      121
#define IDFarbe8        120
#define IDFarbe7        119
#define IDFarbe6        118
#define IDFarbe5        117
#define IDFarbe4        116
#define IDFarbe3        115
#define IDFarbe2        114
#define IDFarbe1        113
#define IDBereich8      108
#define IDBereich7      107
#define IDBereich6      106
#define IDBereich5      105
#define IDBereich4      104
#define IDBereich3      103
#define IDBereich2      102
#define IDBereich1      101
#define id_RL           602
#define id_tilesx       901
#define id_tilesy       902
//! ----------------------------------

#define id_ThetaWindow             506

#define id_FileName                601
#define id_FileList                602
#define id_DirList                 603
#define id_CurrentDir              604
#define id_Copies                  605
#define id_Partial                 606
#define id_From                    607
#define id_To                      608
#define id_Standard                609
#define id_Print                   610
#define id_PrinterSetup            611
#define id_MaxCounts               612
#define id_IncludeDir              613
#define id_LibDir                  614
#define id_CfgFileDir              615
#define id_EditorFiles             616
#define id_Environment             617
#define id_Desktop                 618
#define id_AngleType               619
#define id_TopicSearch             620
#define id_ProcessIt               621
#define id_HorzScroller            622
#define id_RevMouseButton          623
#define id_Graph                   624
#define id_DiffCurve               625
#define id_Text                    626
#define id_ClearWindow             627
#define id_InverseColor            628
#define id_Source                  629
#define id_UserQuery               630
#define id_Image                   631
#define id_Unit                    632
#define id_Graphics                633
#define id_CommandLine             634
#define id_TargetBulk              635
#define id_TextDir                 636
#define id_GraphicDir              637
#define id_DetailedReport          638
#define id_AngleMin                639
#define id_AngleMax                640
#define id_ChooseMacro             641
#define id_AngleWidth              642
#define id_Sensor                  643
#define id_StepUnit                644
#define id_MotorActivated          645
#define id_CameraActivated         646
#define id_TiffImage               647
#define id_CounterValue            648
#define id_ReflectionSearch        649
#define id_AzimutalAdjustment      650
#define id_FinalAdjustment         651
#define id_Intensity               652
#define id_HalfWidth               653

#define id_ControlRange            656
#define id_ControlStep             657
#define id_WorkPoint               658
#define id_MotorId                 659
#define id_Velocity                660
#define id_ChooseLens              661
#define id_ChooseScanType          662
#define id_Limit                   663
#define id_Home                    664
#define id_DynGain                 665
#define id_Acceleration            666
#define id_Deceleration            667
#define id_PositionMin             668
#define id_PositionMax             669
#define id_PositionWidth           670
#define id_AllMotorsReset          671
#define id_Level                   672
#define id_Unity                   673

#define id_LevelBar                676
#define id_LevelValue              677
#define id_SoundSwitch             678
#define id_Intensimeter            679
#define id_Analysator              680
#define id_Diskriminator           681
#define id_Activity                682
#define id_Failure                 683
#define id_WindowValue             684
#define id_Bar2                    485
#define id_MaxTime                 686
#define id_ScinValue               687
#define id_Position                688
#define id_Angle                   689
#define id_NewPosition             690
#define id_NewAngle                691
#define id_Bar                     692
#define id_Response                693
#define id_SurfaceId               694
#define id_xo                      695
#define id_yo                      696
#define id_dx                      697
#define id_dy                      698
#define id_FramesNumber            699
#define id_BinaryLevel             700

#define id_MultibleShot            702
#define id_MeasurementTime         703
#define id_Shots                   704

#define id_RemainderCyclus         706
#define id_RemainderTime           707
#define id_HoldPosition            708
#define id_MonitorUsed             709
#define id_ShowCounter             710
#define id_StaticFailure           711
#define id_MaxAngleEscape          712
#define id_SkipTime                713
#define id_ScanTime                714
#define id_SlowScan                715
#define id_FastScan                716
#define id_Continuous              717
#define id_MaxIntensity            718
#define id_BarNumber               719
#define id_ShowAsLog               720
#define id_MinIntensity            721
#define id_SaveContinuous          722
#define id_GetPeakProperties       723
#define id_TargetName              724
#define id_WaveLength              725
#define id_Scientist               726
#define id_BeamCurrent             727
#define id_BeamVoltage             728
#define id_StepMode                729
#define id_SpeedValue              730
#define id_SpeedUnit               731
#define id_LongMoveMode            732
#define id_PeakIntensity           733
#define id_NoiseLevel              734
#define id_AngleRange              735
#define id_SearchStartPosition     736
#define id_Test                    737

#define id_ExposureCounts          739
#define id_SaveReport              740
#define id_GotoZero                741
#define id_Report                  742
#define id_StepWidth               743
#define id_LeftFlank               744
#define id_RightFlank              745
#define id_XY_Scaling              746
#define id_Catalog                 747
#define id_HighVoltage             748
#define id_AddedChannels           749
#define id_UpperLevel              750

#define cm_SetEnergyRange          555
#define id_LeftConnectedZero       558
#define cm_SetPositionRange        560
#define cm_ClearEnergyData         557
#define id_EnergyControl           556
#define cm_InitializePsd           554
#define id_LowerLevel              751
#define id_LowerLimit              752
#define id_Relation                753
#define id_AbsorberUsed            754
#define id_SaveOnReady             755
#define id_ShiftedMatrix           756
#define id_X_Scala                 758
#define id_Z_Scala                 759
#define id_CurveShow               761
#define id_Omega                   664
#define id_ScanNumber              730
#define id_BitmapShow              762
#define id_DIB_Format              764
#define id_Reflection              766
#define id_Orientation             767
#define id_ReciprokeLattice        768
#define id_Level_0                 769
#define id_Level_1                 770
#define id_Level_2                 771
#define id_Level_3                 772
#define id_Level_4                 773
#define id_Level_5                 774
#define id_Level_6                 775
#define id_Level_7                 776
#define id_Level_8                 777
#define id_Level_9                 778
#define id_Level_10                779
#define id_Level_11                780
#define id_Level_12                781
#define id_Level_13                782
#define id_ThetaWidth              783
#define id_ThetaUnit               784
#define id_GetDataValue            786
#define id_GetDataText             787
#define id_Volumne                 788
#define id_Dilatation              789
#define id_ShowDataType            790
#define id_ScaleTypeY              791
#define id_x_Bar                   792
#define id_y_Bar                   793
#define id_NumberSteps             794
#define id_MoveStep                795
#define id_NumberScans             798
#define id_Enlargement             800
#define id_FirstChannel            801
#define id_LastChannel             802
#define id_8Bit_TIFF               803
#define id_RAW8                    804
#define id_RAW12                   805
#define id_FreeMemory              806
#define id_UserScaling             807
#define id_kd                      808
#define id_kl                      809
#define id_ki                      810
#define id_kp                      811
#define id_Gain                    812
#define id_DynamicGain             813
#define id_Torque                  814
#define id_ChooseMotor             815
#define id_ChooseDevice            816
#define id_FixThetaAxis            817
#define id_ValidCalibrationData    818
#define id_AddedPoints             819
#define id_DX                      820
#define id_DY                      821
#define id_LinePoints              822
#define id_ExposureTime            823
#define id_Actor                   824

//! AutomaticAngleControl: Fensterelemente
#define ID_Status                  825
#define ID_Logfile                 826
#define ID_Help                    827
#define ID_CANCEL                  828
#define ID_Status_Gruppe           829
#define IDC_GROUPBOX1              830
#define IDC_GROUPBOX2              831
#define ID_Optionen_Gruppe         832
#define ID_Toleranz                564
#define ID_Durchlauf               565
#define ID_DF_Intervall            566
#define ID_TL_Intervall            567
#define ID_CC_Intervall            568
#define ID_IntenseDifferenz        569
#define ID_MeasureCount            570
#define ID_TextMaxIntDiff          572
#define ID_ActivateIntenseDiff     573

//! ----------------------------------


//******************************************************************************
// Identifikation der Strings
#define sth_Open                 801
#define sth_Save                 802
#define sth_SaveAs               803
#define sth_OptionsOpen          805
#define sth_File                 806
#define sth_Edit                 807
#define sth_View                 808
#define sth_Option               809
#define sth_Window               810
#define sth_Help                 811
#define sth_Mouse                812
#define sth_FileNew              814
#define sth_FileOpen             815
#define sth_FileSave             816
#define sth_FileSaveAs           817
#define sth_FilePrint            818
#define sth_FileExit             819
#define sth_OptionsDirectory     820
#define sth_OptionsEnvironment   821
#define sth_HelpAbout            822
#define sth_OptionsSave          823
#define sth_HelpUsing            824
#define sth_Measurement          825
#define sth_WindowTile           826
#define sth_WindowCascade        827
#define sth_WindowArrange        828
#define sth_WindowIcon           829
#define sth_WindowCloseAll       830
#define sth_HelpIndex            831
#define sth_HelpTopic            832
#define sth_HelpSearch           833
#define sth_NoValidParamFile     834
#define sth_CommunicationError   835
#define sth_TimeOutFailure       836
#define sth_StopContiniousPsd    837
#define sth_NewNameAndRestart    838
#define sth_AskForSavingData     839
#define sth_CannotCreateFile     840
#define sth_FileExistContinue    841
#define sth_CannotOpenFile       842
#define sth_ViewWindowIsOpen     843
#define sth_NoPsdValid           844

// Accelerator
#define ACC_Main                 890
// Bitmaps
#define bmp_StatusBar            891
#define bmp_StatusLine           892
#define bmp_StatusBar25          893
#define bmp_StatusLine25         894
// Icons
#define icon_Application         900
#endif 
// __RTK_RC_H
// __LastLine__
